### Method

# Cogl Texture set_region_from_bitmap

#### Declaration [src]

    gboolean
    cogl_texture_set_region_from_bitmap (
      CoglTexture* texture,
      int src_x,
      int src_y,
      int dst_x,
      int dst_y,
      unsigned int dst_width,
      unsigned int dst_height,
      CoglBitmap* bitmap
    )

#### Description [src]

Copies a specified source region from `bitmap` to the position (`src_x`, `src_y`) of the given destination texture `handle`.

The region updated can’t be larger than the source bitmap.

#### Parameters

`src_x`

  Type: `int`

  Upper left coordinate to use from the source bitmap.

`src_y`

  Type: `int`

  Upper left coordinate to use from the source bitmap.

`dst_x`

  Type: `int`

  Upper left destination horizontal coordinate.

`dst_y`

  Type: `int`

  Upper left destination vertical coordinate.

`dst_width`

  Type: `unsigned int`

  Width of destination region to write. (Must be less than or equal to the bitmap width).

`dst_height`

  Type: `unsigned int`

  Height of destination region to write. (Must be less than or equal to the bitmap height).

`bitmap`

  Type: `CoglBitmap`

  The source bitmap to read from.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the subregion upload was successful, and `FALSE` otherwise.